from browser import window

def sketch(g):

    def setup():
        g.createCanvas(400, 400)
        g.noStroke()

    def draw():
        drawScenery()
        drawUFO()
        moveUFO()

    def drawScenery():
        # background
        g.background("red")

        # Draw Grass
        g.fill("darkred")
        g.rect(0, 0.75 * g.height, g.width, 0.25 * g.height)

        # Draw Sun
        g.fill("orange")
        g.circle(g.width, 0, 0.5 * g.height)

        #Draw Baymax
        g.fill("white")
        g.circle(123, 300, .28 * g.height)
        g.fill("white")
        g.circle(123, 240, .20 * g.height)
        g.fill("white")
        g.circle(86, 340, .08 * g.height)
        g.fill("white")
        g.circle(162, 340, .08 * g.height)
        g.fill("white")
        g.circle(182, 290, .05 * g.height)
        g.fill("white")
        g.circle(65, 290, .05 * g.height)
        g.fill("black")
        g.circle(120, 240, .02 * g.height)
        g.fill("black")
        g.circle(150, 240, .02 * g.height)
        g.fill("black")
        g.circle(135, 250, .04 * g.height)

    ufo = {
        "x": 100,
        "y": 100,
        "speed": 1
    }

    def drawUFO():
        # Draw UFO
        g.fill("gray")
        g.ellipse(ufo["x"], ufo["y"], 80, 20)
        g.ellipse(ufo["x"], ufo["y"] - 10, 40, 25)

    def moveUFO():
        ufo["x"] += ufo["speed"]
        if ufo["x"] > g.width or ufo["x"] < 0:
            ufo["speed"] = -ufo["speed"]

    g.setup = setup
    g.draw = draw

window.p5.new(sketch)